import { useEffect, useState } from 'react';
import './index.less'

export default function PopupHalfScreen(
  { 
    visible, 
    onClose, 
    list,
    index,
    setIndex
  }: any) {

  //管理关闭动画状态
  const [isAnimationOpen, setisAnimationOpen] = useState(false)

  useEffect(() => {
  }, [])


  if (!visible) {
    return null;
  }

  const handleOverlayClick = () => {
    // 点击蒙层时关闭弹窗
    setisAnimationOpen(true)
    setTimeout(() =>{
      setisAnimationOpen(false)
      onClose();
    }, 500)
  };

  const formatSecondsToTime = (seconds: number) => {
    // 将秒数转换为整数秒和毫秒
    const totalSeconds = Math.floor(seconds);

    // 分钟数
    const minutes = Math.floor(totalSeconds / 60);
    // 剩余秒数
    const remainingSeconds = totalSeconds % 60;

    // 补零操作
    const formattedMinutes = minutes.toString().padStart(2, '0');
    const formattedSeconds = remainingSeconds.toString().padStart(2, '0');

    return `${formattedMinutes}:${formattedSeconds}`;
  }

  return (
    <>
      <div
        className='popup_overlay'
        onClick={handleOverlayClick}
      />
      <div
        className='popup_half_screen'
        onClick={onClose}
        style={
          !isAnimationOpen ? {} : {
            bottom: '-100%',
            transition: 'bottom 0.5s ease',
          }
        }
      >
        <div className='popup_content' onClick={(e) => e.stopPropagation()}>
          {/* 弹窗内容 */}
          <div className='header'></div>
          <div className='content'>
            <div className='container'>
              {
                list.map((item: any, list_index: number) => (
                  <div 
                  key={list_index} 
                  className='item'
                  onClick={setIndex.bind(null, list_index)}
                  style={index === list_index ? {backgroundColor: 'rgba(0, 0, 0, .03)'} : {}}
                >
                  <div className='content'>
                    <div className='title'>{item.ResTitle}</div>
                    <div className='subtitle'>{item.ResSubtitle}</div>
                    <div className='duration'>{formatSecondsToTime(item.ResDuration)}</div>
                  </div>
                  <div 
                    className='next'
                    style={index === list_index ? {backgroundImage: 'url("https://oss.jm-kid.com/wx_5colorflower/assets/music_note.gif")'} : {}}  
                  ></div>
                </div>
                ))
              }
            </div>
            
          </div>
          <div 
            className='footer'
            onClick={handleOverlayClick}
          >关闭</div>
        </div>
      </div>
    </>
  );
}
