import { useEffect, useState } from 'react';
import './index.less'

const textList = [
  {
    text: '不限制',
    mode: 0,
  },
  {
    text: '10分钟后停止播放',
    mode: 1,
  },
  {
    text: '20分钟后停止播放',
    mode: 2,
  },
  {
    text: '30分钟后停止播放',
    mode: 3,
  },
]

export default function RgupHalfScreen(
  { 
    visible,
    onClose,
    playTimer,
    setPlayTimer,
  }: any) {

  //管理关闭动画状态
  const [isAnimationOpen, setisAnimationOpen] = useState(false)

  useEffect(() => {
  }, [])


  if (!visible) {
    return null;
  }

  const handleOverlayClick = () => {
    // 点击蒙层时关闭弹窗
    setisAnimationOpen(true)
    setTimeout(() =>{
      setisAnimationOpen(false)
      onClose();
    }, 500)
  };

  return (
    <>
      <div
        className='popup_overlay'
        onClick={handleOverlayClick}
      />
      <div
        className='rgup_half_screen'
        onClick={onClose}
        style={
          !isAnimationOpen ? {} : {
            bottom: '-100%',
            transition: 'bottom 0.5s ease',
          }
        }
      >
        <div className='popup_content' onClick={(e) => e.stopPropagation()}>
          {/* 弹窗内容 */}
          <div className='header'></div>
          <div className='content'>
            <div className='title'>定时停止播放</div>
            <div className='context'>
              {
                textList.map((item: any, index: number)=>(
                <div 
                  className='item'
                  key={index}  
                  onClick={setPlayTimer.bind(null, item.mode)}
                >
                  <div 
                    className='text'
                    style={
                      playTimer === item.mode ? {fontWeight: '600', color: '#3ba366'} : {}
                    }  
                  >
                    {item.text}
                  </div>
                  {
                    playTimer === item.mode && <div className='icon'></div>
                  }
                </div>
                ))
              }
            </div>
          </div>
          <div 
            className='footer'
            onClick={handleOverlayClick}
          >关闭</div>
        </div>
      </div>
    </>
  );
}
